Bug 431222 - caps lock is on, can't switch korean,anthy <-> english
caps lock is on, can't switch korean,anthy <-> english
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scim-bridge (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-02-01 11:01 EST by sangu
Modified: 2009-12-18 01:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:03:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for keyselection dialog (21.24 KB, image/png)
2008-03-05 01:42 EST, Peng Huang
no flags Details
After relogin , default ~/.scim/config (made automatically) in scim-1.4.7-20. (3.69 KB, text/plain)
2008-03-22 13:01 EDT, sangu
no flags Details

  None (edit)
Description sangu 2008-02-01 11:01:45 EST
Description of problem:
caps lock is on,  can't switch hangul,anthy <-> english

Version-Release number of selected component (if applicable):
1.4.7-8.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. caps lock is on
2.  press shift + space key or hangul key
3.
  
Actual results:


Expected results:


Additional info:
scim-hangul-0.3.2-1.fc9.i386
scim-anthy-1.2.4-4.fc9.i386
Comment 1 Peng Huang 2008-03-03 05:24:50 EST
I added CapsLock checkbox in keyselection dialog. If you want to shift + space +
capslock works, you should scim-setup to add shift + space + capslock  hotkeys.

Fixed in 1.4.7-14.

Comment 2 Jens Petersen 2008-03-04 18:47:22 EST
It might be better if CapsLock was ignored.
Comment 3 sangu 2008-03-04 23:58:53 EST
hmm, I don't understand commnet #1 .

Caps Lock is ON -> can't switch Korean Input Method <-> English Input Method. 
This is bug.

See Also:
http://sourceforge.net/tracker/index.php?func=detail&aid=1593151&group_id=108454&atid=650539
http://sourceforge.net/tracker/index.php?func=detail&aid=1707688&group_id=108454&atid=650539
Comment 4 Peng Huang 2008-03-05 01:42:26 EST
Created attachment 296856 [details]
Screenshot for keyselection dialog

You should check the CapsLock CheckBox to let Ctrl + Space work with CapsLock
on. Please look the screenshot.
Comment 5 sangu 2008-03-05 02:16:01 EST
(In reply to comment #4)
> Created an attachment (id=296856) [edit]
> Screenshot for keyselection dialog
> 
> You should check the CapsLock CheckBox to let Ctrl + Space work with CapsLock
> on. Please look the screenshot.

O.K. Thank.
Then, this method is very hard and complicated for End Usr.
Comment 6 Peng Huang 2008-03-20 01:54:29 EDT
Did you add Hotkey with CapsLock mask?
Please see attached screenshot in comment #4.
Comment 7 Jens Petersen 2008-03-20 02:09:57 EDT
I tend to agree with Sangu that it would be better not to mask capslock but just
ignore it if possible.
Comment 8 Peng Huang 2008-03-20 03:36:07 EDT
I modified default config to ignore capslock mask. You should remove your
~/.scim/config and update scim-1.4.7-20.
Fixed in scim-1.4.7-20.
Comment 9 sangu 2008-03-22 13:01:36 EDT
Created attachment 298847 [details]
After relogin ,  default ~/.scim/config (made automatically) in scim-1.4.7-20.

(In reply to comment #8)
> I modified default config to ignore capslock mask. You should remove your
> ~/.scim/config and update scim-1.4.7-20.
Update scim-1.4.7-20, logout -> ctrl+alt+F1 -> $rm ~/.scim/config ->
ctrl+alt+F7 -> login

> Fixed in scim-1.4.7-20.
Caps Lock key problem still happens. Not Fixed.
Comment 10 Peng Huang 2008-03-23 23:41:44 EDT
I tested it with scim im module. It does not have problem. 
But scim-birdge does not work. I will fix scim-bridge.
Comment 11 sangu 2008-03-24 00:15:53 EDT
- Caplock On in scim im module(xim)
When inputing hangul, "capslock on" is  equal with shift key. <-- this is bug in
hangul input.
Comment 12 Peng Huang 2008-03-24 00:52:06 EDT
I rechecked the code of scim and scim-bridge. For fixing this problem, I need
add code in scim-birdge gtk im module and qt im module, to ignore capslock mask.
It needs a lot of works. And maybe it will cause other problems. I just tested
scim im module in scim-1.4.7-20 that ignore capslock key mask. I found many
IMEngines have problems. It is because many IMEngines will test capslock and use
the different key processing logice when capslock is on. But capslock mask is
ignored in 1.4.7-20. So I think the best solution is like 1.4.7-14. Add capslock
mask in hotkey selection UI.

Hi Jens, What's your opinion? 
Comment 13 Jens Petersen 2008-03-26 05:48:38 EDT
Okay sounds like this needs more thought and testing.

I suggest we defer it to F10.
Comment 14 Bug Zapper 2008-05-14 00:58:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Jens Petersen 2008-07-16 21:22:20 EDT
Huang Peng, do you want to take another stab at this, or what is your view now?
Comment 16 Bug Zapper 2008-11-25 21:05:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-11-18 05:09:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 01:03:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.